#
# Keypirinha configuration file
# http://keypirinha.com
#
# CAUTION: this file reflects Keypirinha's default settings and is not meant to
# be modified. Instead, build your own configuration file(s) to overwrite only
# the desired settings.
# By default, your file is opened on the right-hand side of the screen --->
# Check out Keypirinha's website for more info.
#

[app]
# Application's main section.

# Should Keypirinha be launched when Windows starts?
# * It is the only setting that requires access to the Windows Registry.
# * If this value is false (or changed to false at runtime), the application
#   will always try to automatically unregister itself.
# * The following registry key is used by Keypirinha:
#   * Key: HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run\
#   * Value name: Keypirinha
# * Default: no
#launch_at_startup = no

# Hotkey to show/hide (toggle) the LaunchBox.
# * String must be formated that way: <modifiers> + <virtual_key>
# * <modifiers> can be one or several of the following modifier keys:
#   Alt, Ctrl, Shift, Win.
# * <virtual_key> can be:
#   * One of the following special keys:
#     Minus, Plus, Backspace, Tab, Return (or Enter), Pause, Escape (or Esc),
#     Space, PageUp (or PgUp), PageDown (or PgDown), End, Home, Left, Up, Right,
#     Down, Print, Insert, Ins, Delete, Del, NumLock, ScrollLock (or Scroll),
#     F1 to F24, and Numpad0 to Numpad9.
#   * Or a character from the main part of your keyboard. I.e. excluding the
#     numpad and the special keys enumerated above.
#     Note that not every typed character will work, see the "IMPORTANT" notice
#     below.
# * Examples: "Alt+Space", "Ctrl+Shift+Plus", "Ctrl+Alt+3", "Ctrl+Win+W",
#   "Ctrl+Alt+F2", "Shift+Alt+Return" (without quotes)
# * Note that while the "Win+<virtual_key>" form is possible, it is discouraged
#   by Microsoft as a given combination might be "reserved" for future use.
#   I.e.: a combination that works now may not be usable with future releases of
#   the OS.
# * IMPORTANT: some combinations won't trigger any error at registration time
#   but just won't work when pressed. In that special case, it is not possible
#   for Keypirinha to know if a hotkey actually does its job so you are on your
#   own and you'll probably have to choose another combination.
#   In any other case of error, a message dialog will pop up to inform you
#   something went wrong.
# * Default: Ctrl+Win+K
#hotkey_run = Ctrl+Win+K

# Hotkey to show the LaunchBox and paste the content of the clipboard if it
# contains text.
# * TIP: if this hotkey is pressed twice in a row, the selected item will be
#        executed without having to press Enter
# * This overrides the retain_last_search setting of the [gui] section
# * Expected format is the same than hotkey_run
# * Default: no default hotkey defined
#hotkey_paste =

# Hotkey to show the LaunchBox directly in History mode
# * This overrides the retain_last_search setting of the [gui] section
# * Expected format is the same than hotkey_run
# * Default: no default hotkey defined
#hotkey_history =

# The hotkey used to show/hide (toggle) the Console dialog.
# * Note this setting is for convenience only, you can always open the console
#   by pressing F2 from the LaunchBox or by searching for the
#   "Keypirinha: Console" item.
#   It can also be opened via Keypirinha's main contextual menu.
# * Expected format is the same than hotkey_run
# * Default: no default hotkey defined
#hotkey_console =

# Write log file?
# * Keypirinha and its plugin sometimes log some information about their status,
#   progress, warnings and errors.
# * Disabling this option helps improving privacy and is slightly easier on your
#   storage device, but it can be useful to keep it enabled for troubleshooting
# * Regardless of this option, Keypirinha's Console Window will always be
#   enabled and contain the logged data of the current session
# * CAUTION:
#   * Disabling this option does not cause your log file(s) to be erased!
#   * Changing this setting at runtime is supported but it is advised to to it
#     while Keypirinha is NOT running in order to get a clean/complete output
# * Log file(s) (*.log) are located under the "Local" directory of your profile,
#   which, depending on your Keypirinha config, is under the "portable" folder
#   of Keypirinha's install directory (portable mode), or in
#   "%LOCALAPPDATA%\Keypirinha".
# * Default: yes
#write_log_file = yes

# The list of the Packages to ignore.
# * This list must be comma-separated
# * "<all>" can be specified (without quotes) to ignore ALL packages, including
#   the Internal package
# * A package name can be prefixed by '-' or '+' (without quotes) to explicitly
#   SUBTRACT or ADD a package to the list.
# * Examples:
#   * ignored_packages = Foo, Four Words Package Name, Bar
#     Ignore packages "Foo", "Four Words Package Name" and "Bar"
#   * ignored_packages = <all>, -Internal, -Foo
#     Ignore ALL packages except "Internal" and "Foo".
#   * ignored_packages = Foo, <all>, Bar
#     Ignore ALL packages. "Foo" and "Bar" are redundant here.
#   * ignored_packages = -Bar, Foo, +Bar
#     Ignores "Bar" and "Foo" packages. The last occurrence of a same package
#     prevails.
#   * ignored_packages = Foo, -Bar
#     Ignores "Foo" package only.
#     "Bar" is explicitly subtracted from the list, which means it is NOT
#     marked as ignored.
# * Default: empty list, no package ignored
#ignored_packages =

# Filter-out non-existent LOCAL files from the search results
# * When enabled, Keypirinha checks at search-time if the matching LOCAL FILE
#   items that were in the history still exist, then eventually filter them out
#   from the results list.
# * CAUTION:
#   If the GUI hangs too often at search-time (typically because of a HDD), try
#   disabling this setting as well as the "exclude_nonexistent_remote_files"
#   setting below.
# * Default: yes
#exclude_nonexistent_local_files = yes

# Filter-out non-existent REMOTE files from the search results
# * When enabled, Keypirinha checks at search-time if the matching REMOTE FILE
#   items that were in the history still exist, then eventually filter them out
#   from the results list.
# * CAUTION:
#   If the GUI hangs too often at search-time, try disabling this setting as
#   well as the "exclude_nonexistent_local_files" setting above.
# * Default: no
#exclude_nonexistent_remote_files = no


[gui]
# Section dedicated to the Graphical User Interface (GUI)

# Control how Keypirinha should position the LaunchBox
# * Note: this setting affects the behavior of the LaunchBox only. See the
#   setting with the same name in the [console] section to change the behavior
#   of the Console window.
# * Accepted values:
#   * auto:
#     When displayed, the window will always appear on the primary monitor,
#     horizontally centered, with a width proportional to the monitor size (see
#     the auto_width setting below)
#   * monitor_1, monitor_2, ...:
#     Same as 'auto' but allows to specify which monitor to use.
#   * active_monitor:
#     Same as 'auto' except that window will be displayed on the same monitor
#     than the currently active application.
#   * mouse_monitor:
#     Same as 'auto' except that window will be displayed on the same monitor
#     than the mouse pointer.
#   * mouse_pos:
#     The window will be positioned according to the coordinates of the mouse
#     pointer. If the default size of the window is too big, the window might be
#     moved and/or resized according to its functional constraints.
#   * persistent:
#     Keypirinha stores window's geometry (position and size) so it can be
#     restored the next time it is displayed, even after a restart.
#     If your monitor(s) configuration changes, Keypirinha tries to re-use the
#     window's geometry you setup the last time this monitors configuration was
#     active. If the same monitors configuration can't be found, Keypirinha will
#     translate and scale the previous position and size of the window according
#     to the current position and size of the primary monitor, so it feels like
#     the window is positioned the same way than before.
# * Default: auto
#geometry = auto

# The width of the LaunchBox, in percent of the full width of the monitor
# * Ignored if "geometry" setting is set to "persistent"
# * Accepted range is [5, 100]
# * The LaunchBox has a hard-coded minimum width of 400 pixels so the auto_width
#   may not always be honored for small values, depending on the width of the
#   monitor
# * Default: 33
#auto_width = 33

# Should the LaunchBox be always on top of other windows when displayed?
# * Type: Boolean
# * Default: no
#always_on_top = no

# Should the LaunchBox automatically hide when it loses focus and how?
# * Accepted values:
#   * immediate: The LaunchBox will automatically and immediately hide when it
#     loses focus.
#   * delayed: The LaunchBox will hide after a small delay if it loses focus.
#     This value can come handy to help prevent losing your search state in case
#     an application inadvertently takes over the focus before releasing it.
#     Note that you may prefer the 'immediate' mode if you have enabled the
#     retain_last_search option below.
#   * no: The LaunchBox won't hide automatically
# * Type: Enum
# * Default: no
#hide_on_focus_lost = no

# Should the LaunchBox retain the last search terms, when it is displayed?
# * Accepted values:
#   * selected (formerly "yes"): the LaunchBox will automatically insert and
#     pre-select the initial search terms you typed during the previous search
#     session
#   * unselected: same as *selected* except that last search's terms are NOT
#     pre-selected
#   * no: LaunchBox's state is cleared upon invocation (default)
# * Type: Enum
# * Default: no
#retain_last_search = no

# Should the Escape key close the LaunchBox instead of just clearing your
# search?
# * Note that you can always close the LaunchBox with Shift+Esc or Alt+F4
# * Type: Boolean
# * Default: no
#escape_always_closes = no

# Should the LaunchBox advance to the next step when you hit the Space key while
# being at the first search step?
# * Notes:
#   * The Tab key always allows to advance to the next search step
#   * If this setting is enabled, it is applied only if the caret is at the end
#     of the search terms and while still at the initial search step
# * Type: Boolean
# * Default: no
#space_as_tab = no

# Loop-scroll the results list at its boundaries?
# * If this setting is enabled, when the last result item is selected and the
#   down key is pressed (or mouse's wheel down), selection will move up to the
#   first result item.
# * Type: Boolean
# * Default: no
#loop_list = no

# Single-click mode
# * The single-click mode allows to execute an item/action from the list by
#   single-clicking it (or by touching it) like if it was a web link for example
# * Also, when this mode is enabled, overing the results list with the cursor
#   will select the current item
# * Type: Boolean
# * Default: no
#single_click = no

# The maximum accepted height of the LaunchBox, in number of ITEMS (not pixels)
# * When you run a search, the LaunchBox extends its height within the
#   boundaries of the working area of the current screen, in order to display as
#   much result items as possible, without changing window's position.
# * This setting allows to limit LaunchBox's height, in terms of maximum number
#   of items that are visible without having to scroll the results list.
# * The value must be an integer in the range [0, 1000].
#   Where 0 means: extend height as much as possible within the boundaries of
#   the working area of the current screen.
# * For example, if max_height is 5 but only 3 results are found for the current
#   search, the LaunchBox height will be extended up to 3 items. But if 10
#   results have been found, the LaunchBox height will be extended up to 5
#   items.
# * Note that this setting is only about the height of the LaunchBox.
#   If you want to limit the number of returned results, check out the
#   "max_results" setting below in this section.
# * Default: 10
#max_height = 10

# Should the LaunchBox button be visible on the taskbar when it gets activated?
# * Type: Boolean
# * Default: no
#show_on_taskbar = yes

# The maximum number of items in the list
# * Allows to limit the maximum number of items returned by Keypirinha's search
#   engine and incidentally to limit the time Keypirinha needs to display/draw
#   the items and their associated icons.
# * Value must be an integer in the range [10, 1000].
#   Any value out of boundaries will automatically be forced to the min or max
#   of the allowed range.
# * Check out the "max_height" setting if you just want to limit the height of
#   the LaunchBox itself.
# * Default: 100
#max_results = 100

# Characters that are considered to be word separators
# * This setting impacts the behavior of the input controls (edit boxes) in
#   Keypirinha when you press Ctrl+Left or Ctrl+Right or Ctrl+Backspace for
#   example
# * If you do not know what it is about, you can safely ignore it
# * Blank characters are always considered word separators
# * This value:
#   * can be empty so only blank characters are word separators
#   * or it can contain a list of non-separated characters
# * CAUTION:
#   Due to the way Keypirinha reads config files, if you need to specify '$' as
#   a separator, you must double it.
#   I.e. type '$$' instead of '$' (without quotes).
# * A suggestion for those who are used to type code can be:
#     word_separators = /\()[]{}"'`^&|<>~*+=-.,:;?!@#%$$
# * Default: empty
#word_separators =

# The name of the graphical theme (GUI theming)
# * Tip: @Fuhrmann made an online GUI tool to help creating your own theme for
#   Keypirinha (thanks!). Check it out at:
#     https://fuhrmann.github.io/keypirinha-theme-builder/
# * In Keypirinha, the GUI theme impacts if and how GUI elements are displayed,
#   as well as their colors and the fonts to use
# * An empty value (default) implies the use of the hard-coded default theme.
#   See [theme/Default] section declared below in this file, for an exhaustive
#   list of the supported theme settings, as well as their respective default
#   values.
# * A theme must be declared in its dedicated [theme/NAME] section where NAME
#   (without quotes) is the value to assign here in order to use this theme
# * You can declare as much themes (sections) as you want in your configuration
#   file and keep them there, so that only this setting has to be changed to
#   switch from one theme to another
# * CAUTION:
#   Section names in Keypirinha are case-sensitive so that "[theme/foo]" is
#   different than "[theme/Foo]". Keep that in mind if you wish to override an
#   existing theme!
# * TIP:
#   Change this setting at runtime to ease comparison
# * Cascading themes:
#   Optionally, themes can be cascaded (comma-separated list of theme names;
#   up to 5 themes can be cascaded)
#   * Example:
#       theme = MiniLayout, MonokaiColors
#   * In this example, Keypirinha will:
#     1. first load the internal hard-coded theme
#     2. then will overwrite its properties with only the ones defined in
#        MiniLayout
#     3. the resulting theme is then overridden by the values defined in
#        MonokaiColors
#   * Because a theme allows to tweak the layout (elements and spacing), the
#     fonts and the colors, one possible use of cascading your themes is to
#     split them into 3 logical groups: layout-only, font-only and color-only.
#     Note that this is for convenience only, not required.
#   * Note that the "Layout", "Colors" and "Full" suffixes in the names of the
#     sample themes is a naming convention only, not required by Keypirinha.
#theme =


[external]
# Section dedicated to the setup of external applications launched by Keypirinha
# or the packages.

# The text editor to invoke when the "Edit" action of an item is triggered
# * By default (empty value), Keypirinha will try to invoke your system's Edit
#   verb when available.
# * See also the "config_editor" setting below.
# * CAUTION: This value is expected to be a valid command line! That is, if the
#   path to your executable or any other argument contains whitespaces, it must
#   be double-quoted.
# * Special behavior with known editors:
#   Keypirinha will take advantages of the available command line options
#   offered by some recognized editors:
#   * Notepad2 and variants: enable a more convenient layout when editing
#     several files at the same time.
#   * SublimeText and Atom: also open package's directory when editing package
#     configuration files.
# * The "editor_accepts_multifiles" value indicates if the editor accepts
#   multiple files on the command line. For example, for very simple editors
#   like Notepad, this value should be set to "no" (without quotes), but for
#   MDI-style editors (Multiple Document Interface) like Notepad++ and
#   SublimeText, this value may be set to "yes".
# * Examples:
#     editor = notepad.exe
#     editor = "${env:SYSTEMROOT}\notepad.exe"
#     editor = "${env:EDITOR}"
#     editor = "C:\Program Files\FooEditor\editor.exe" -open
#editor =
#editor_accepts_multifiles = no

# The text editor to specifically edit Keypirinha's configuration files
# * Possible configurations:
#   * If this value is defined, it must be of the same format than for the
#     "editor" setting
#   * A NON-COMMENTED (i.e. defined) and EMPTY value forces Keypirinha to use
#     the bundled Notepad2-mod editor to edit its configuration files
#   * A COMMENTED (i.e. undefined) value means you want to rely on the "editor"
#     setting to edit Keypirinha's configuration files as well
#config_editor =
#config_editor_accepts_multifiles = no

# The console emulator to use when launching console applications or scripts.
# * CAUTION: This value is expected to be a valid command line! That is, if the
#   path to your executable or any other argument contains whitespaces, it must
#   be double-quoted.
# * On Windows platforms, there are two kinds of subsystems an executable can
#   run on: GUI and console.
#   This setting applies for the later. It can be useful in many cases. For
#   example, it happens often that after double-clicking on a console
#   application/script from the Explorer, a console window appears only in a
#   glimpse, without giving you a chance to check what's going on.
#   Some program like ConEmu will not close if the duration of the execution was
#   less than a given amount of seconds. Giving you the chance to know what
#   happened.
# * Note that this setting is, at best, a hint to the plugins and while it is
#   recommended to plugin developers to use it, it is not technically required
#   to do so. Official plugins follow this guideline though.
# * Example: terminal = "${env:PROGRAMFILES}\ConEmu\ConEmu64.exe" /cmd
# * Default: no alternative terminal emulator, system's default is used
#terminal =

# The file explorer to use instead of Windows Explorer
# * CAUTION: This value is expected to be a valid command line! That is, if the
#   path to your executable contains whitespaces, it must be double-quoted.
# * By default, the path of the file/folder to open is appended to the specified
#   command line (and automatically quoted if needed). However for convenience,
#   some placeholders may be used.
# * Supported placeholders (quoted automatically at runtime, if needed):
#   * {{file}}: the path to the file/folder
#   * {{name}}: the name of of the file/folder (including its extension)
#   * {{parent}}: the path to the parent folder of the file/folder
#   * {{dir_or_parent}}: some explorers (e.g. Explorer++) accept only folders,
#     this placeholder will expand to {{file}} if it is a folder, or to
#     {{parent}} otherwise
# * About the placeholders:
#   * May you need more control over quoting, Keypirinha supports the following
#     variants:
#     * {{file_nq}}, {{name_nq}}, {{parent_nq}}, {{dir_or_parent_nq}}:
#       always non-quoted
#     * {{file_q}}, {{name_q}}, {{parent_q}}, {{dir_or_parent_q}}:
#       always quoted
# * Examples:
#     file_explorer = "C:\Path\To\My Explorer.exe" {{file}}
#     file_explorer = C:\Explorer\Explorer.exe -d {{parent}} {{name}}
# * Default: empty, Windows Explorer is used
#file_explorer =

# The web browser to use when launching web links (URLs)
# * By default, Keypirinha and its plugins will use system's default web
#   browser. This setting allows to bypass this detection mechanism and force
#   the use of a given web browser.
# * CAUTION: This value is expected to be a valid command line! That is, if the
#   path to your executable or any other argument contains whitespaces, it must
#   be double-quoted.
# * Note that this setting is, at best, a hint to the plugins and while it is
#   recommended to plugin developers to use it, it is not technically required
#   to do so. Official plugins follow this guideline though.
# * Example:
#     web_browser = "${env:PROGRAMFILES(X86)}\Google\Chrome\Application\chrome.exe"
# * Default: empty, system's default web browser is used
#web_browser =

# By default, would you like Keypirinha to launch web links in a new window?
# * This value can be empty, or a boolean value like "yes" or "no" (without
#   quotes).
# * REMARKS:
#   * This setting is, at best, a hint given to the plugins and the web browser
#     itself. Moreover, depending on the web browser, this setting might be
#     mutually exclusive with an other web_browser_* setting.
#   * The plugin that owns the item you want to execute might offer you to
#     override this setting to allow a more fine-grained configuration. Like the
#     official WebSearch plugin for example, which allows you to override this
#     setting on a site-per-site basis.
# * Default: empty value, meaning you prefer to rely on plugin's or browser's
#   default behavior
#web_browser_new_window =

# By default, would you like Keypirinha to launch web links usigng web browser's
# private mode?
# * Same value type, default value and remarks than for the
#   web_browser_new_window setting.
#web_browser_private_mode =


[console]
# Section dedicated to application's log window (a.k.a. the console)

# Control how Keypirinha should position the Console window.
# * Note: this setting affects the behavior of the Console window only. See the
#   setting with the same name in the [gui] section to change the behavior of
#   the LaunchBox.
# * Accepted values:
#   * auto:
#     When displayed, the window will always appear on the primary monitor,
#     horizontally centered, with a width proportional to the monitor size.
#   * monitor_1, monitor_2, ...:
#     Same as 'auto' but allows to specify which monitor to use.
#   * active_monitor:
#     Same as 'auto' except that window will be displayed on the same monitor
#     than the currently active application.
#   * mouse_monitor:
#     Same as 'auto' except that window will be displayed on the same monitor
#     than the mouse pointer.
#   * mouse_pos:
#     Unsupported. Equivalent to 'mouse_monitor'.
#   * persistent:
#     Keypirinha stores window's geometry (position and size) so it can be
#     restored the next time it is displayed, even after a restart.
#     If your monitor(s) configuration changes, Keypirinha tries to re-use the
#     window's geometry you setup the last time this monitors configuration was
#     active. If the same monitors configuration can't be found, Keypirinha will
#     translate and scale the previous position and size of the window according
#     to the current position and size of the primary monitor, so it feels like
#     the window is positioned the same way than before.
# * Default: auto
#geometry = auto

# Display a time prefix for each log line
# * Note that if this value is modified at runtime, you will notice a change for
#   future log lines only.
# * Type: boolean
# * Default: yes
#show_time_prefix = yes

# When opened, the log window and its taskbar button can flash on incoming log
# message. This is useful when you develop a plugin and want to be notified of
# an incoming log message, especially when the console window is hidden by other
# applications.
# This setting allows you to enable this feature according to the severity of
# the incoming messages. It accepts one of the following values (without
# quotes):
# * "never": never flash
# * "info": flash on informational, warning and error messages
# * "warn" or "warning": flash on warning and error messages (default)
# * "err" or "error": flash on error messages
#flash_on = warn

# Aliases
# * It is possible to define aliases that can be used to ease your interaction
#   with the console.
# * An alias is a basic name prefixed by the ':' character, that will be
#   expanded at runtime to the value you specified before being sent to the
#   Python interpreter.
# * To define a new alias, declare a new entry in this section as follows:
#     alias_hello = print("Test")
#   In this example, alias "hello" will be expanded to: print("Test")
#   To use this alias, enter the following command in the console: :hello
#   Notice the ':' prefix.
# * Aliases are case-sensitive.
#
# Predefined Aliases
# * Here is a list of aliases that are hard-coded in the application and always
#   available by default. May you wish to overwrite them, you can define their
#   new value in this section.
# * Predefined aliases:
#     alias_kp = import keypirinha as kp
#     alias_kpu = import keypirinha_util as kpu


[network]
# Section dedicated to the setup of network connections.
# CAUTION: Change the following values only if you know what you are doing!

# Proxy server(s) to use for network connections
# * Change this value if you know what you are doing
# * This indicates Keypirinha and its plugins how you want network connections
#   to be enabled, that is, through a proxy server or not.
# * Accepted values:
#   * system: the list of proxies you have configured via the
#     "Internet Properties" dialog of the system's "Control Panel" will be used.
#     Keypirinha will automatically detect settings changes and immediately
#     notify the plugins.
#     Known limitations: the "bypass proxy server for local addresses" option as
#     well as the address patterns you may have specified as "Exceptions" are
#     ignored.
#   * noproxy: connection is attempted to the server directly, regardless of the
#     system settings.
#   * Any other value will be interpreted as a proxy URL (or a list of proxies
#     URLs in case of multiple lines)
#     Examples:
#       proxy = noproxy
#       proxy = http://proxyserver.com:8080
#       proxy = socks://a-socks-proxy.org:1080
#       proxy =
#           http://proxy_user:proxy_pass@proxyserver.com:8088
#           https://some-other.proxy-server.net:8443
#       proxy =
#           http://127.0.0.1:8080
#           https=http://127.0.0.1:8080
# * In the 4th example, HTTP requests will go through the first proxy server
#   and HTTPS requests through the second one.
# * In the 5th example, HTTPS requests will go through the specified proxy and
#   HTTP requests are made *directly* to the destination server.
# * Support for SOCKS proxy (v4/v5) is experimental and DNS requests do not go
#   through the proxy. Also, if a SOCKS proxy is specified in the list (here or
#   in system settings), other proxies are ignored.
#   You can force the use of SOCKS4 protocol by specifying the "socks4" URL
#   scheme, otherwise the SOCKS5 protocol is used.
# * Default: system
#proxy = system


[var]
# As in every Keypirinha's configuration file, you may optionally include a
# [var] section to declare variables that you want to reuse anywhere else in
# this file.
#
# Note that the [var] section is inherited, which means that any value defined
# in the main configuration file (i.e. this file) will be propagated to
# subsequently loaded configuration files (packages' configuration files).
#
# REMINDER: For convenience, Keypirinha silently populates this section with
# predefined values that may come handy. Here are some of them: APP_DRIVE,
# APP_DIR, APP_EXE, APP_ARCH, PROFILE_DIR, PROFILE_DIR_INSTALLED_PACKS,
# PROFILE_DIR_LIVE_PACKS, PROFILE_DIR_USER and the KNOWNFOLDER_* and
# KNOWNFOLDERGUID_* values.
#
# See the "Configuration" chapter of the documentation for more information.


[env]
# For convenience, Keypirinha populates this [env] section in every loaded
# configuration file so you can easily access to environment variables like
# PATH for example from this file using syntax: ${env:PATH}
#
# If an environment variable happens to be changed while Keypirinha is running
# and this modification impacts current configuration, application and packages
# configuration will be reloaded if needed only.
#
# See the "Configuration" chapter of the documentation for more information.



#-------------------------------------------------------------------------------
# Sample Themes
#-------------------------------------------------------------------------------

[theme/ElectricStateColors]
# A color theme derived from the artwork of http://www.simonstalenhag.se/
color_background = #032025
color_foreground = #fdf16f
color_faded = #489588
color_accent = #ff225b
color_warn = #ff9900
color_title = ${color_foreground}
color_status = ${color_faded}
color_textbox_back = ${color_background}
color_listitem_back = ${color_background}
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_accent}
color_listitem_selected_back = #08515e
color_listitem_selected_title = ${color_foreground}
color_listitem_selected_desc = #ffffff
color_listitem_selected_tips = ${color_foreground}

[theme/SolarizedLightColors]
# A color theme derived from:
# http://ethanschoonover.com/solarized
color_background = #eee8d5
color_foreground = #586e75
color_faded = #93a1a1
color_accent = #268bd2
color_warn = #cb4b16
color_title = ${color_foreground}
color_status = ${color_faded}
color_textbox_back = #fdf6e3
color_listitem_back = ${color_textbox_back}
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_faded}
color_listitem_selected_back = ${color_background}
color_listitem_selected_title = ${color_accent}
color_listitem_selected_desc = ${color_foreground}
color_listitem_selected_tips = ${color_accent}

[theme/SolarizedDarkColors]
# A color theme derived from:
# http://ethanschoonover.com/solarized
color_background = #002b36
color_foreground = #eee8d5
color_faded = #839496
color_accent = #268bd2
color_warn = #cb4b16
color_title = ${color_foreground}
color_status = ${color_faded}
color_textbox_back = #073642
color_listitem_back = ${color_background}
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_faded}
color_listitem_selected_back = #073642
color_listitem_selected_title = #fdf7e7
color_listitem_selected_desc = ${color_faded}
color_listitem_selected_tips = #7f83cc

[theme/MonokaiColors]
# A color theme derived from:
# http://www.monokai.nl/blog/2006/07/15/textmate-color-theme/
color_background = #484848
color_foreground = #f2f2f0
color_faded = #a2a2a0
color_accent = #f92672
color_warn = #e6db74
color_title = ${color_foreground}
color_status = ${color_faded}
color_textbox_back = #303030
color_listitem_back = #383838
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_faded}
color_listitem_selected_back = #2f2f2f
color_listitem_selected_title = #66d9ef
color_listitem_selected_desc = ${color_foreground}
color_listitem_selected_tips = #ae81ff

[theme/PrincessColors]
# A pink-ish, purple-ish color theme
color_background = #efebfa
color_foreground = #dc6fbf
color_faded = #dda1d8
color_accent = #8e2582
color_warn = #ff8000
color_title = ${color_foreground}
color_status = ${color_faded}
color_textbox_back = #f8f7ff
color_listitem_back = ${color_textbox_back}
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_faded}
color_listitem_selected_back = ${color_background}
color_listitem_selected_title = ${color_accent}
color_listitem_selected_desc = ${color_foreground}
color_listitem_selected_tips = ${color_accent}

[theme/PurpleNightColors]
# A deep-blue scheme with a purple accent
color_background = #2d364c
color_foreground = #eeeeee
color_faded = #a2a2a2
color_accent = #9233aa
color_warn = #fe7700
color_title = ${color_foreground}
color_status = ${color_faded}
color_textbox_back = #232b3e
color_listitem_back = ${color_background}
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_accent}
color_listitem_selected_back = ${color_textbox_back}
color_listitem_selected_title = #ffffff
color_listitem_selected_desc = ${color_foreground}
color_listitem_selected_tips = ${color_accent}

[theme/BlackHighContrastColors]
# A high contrast color theme to improve ease of access, with a black background
color_background = black
color_foreground = white
color_faded = white
color_accent = white
color_warn = red
color_title = white
color_status = ${color_faded}
color_textbox_back = ${color_background}
color_listitem_back = ${color_background}
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_faded}
color_listitem_selected_back = white
color_listitem_selected_title = black
color_listitem_selected_desc = black
color_listitem_selected_tips = black

[theme/WhiteHighContrastColors]
# A high contrast color theme to improve ease of access, with a white background
color_background = white
color_foreground = black
color_faded = black
color_accent = black
color_warn = red
color_title = black
color_status = ${color_faded}
color_textbox_back = ${color_background}
color_listitem_back = ${color_background}
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_faded}
color_listitem_selected_back = black
color_listitem_selected_title = white
color_listitem_selected_desc = white
color_listitem_selected_tips = white

[theme/AnthraciteFull]
# This full theme (layout, fonts and colors) was the default and only one
# available in versions before 2.14
font_face = Tahoma, Arial, Segoe UI
font_small_size = 9
font_small_style = cleartype
font_snormal_size = 9
font_snormal_style = cleartype
font_normal_size = 10
font_normal_style = bold, cleartype
font_large_size = 18
font_large_style = bold, cleartype

mono_font_face = Consolas
mono_font_size = 10
mono_font_style = cleartype

color_background = #484848
color_foreground = #f2f2f2
color_faded = #a2a2a2
color_accent = #a6e5ff
color_warn = #eb6420
color_title = ${color_foreground}
color_status = ${color_faded}
color_textbox_back = #383838
color_listitem_back = #222222
color_listitem_title = ${color_foreground}
color_listitem_desc = ${color_faded}
color_listitem_tips = ${color_accent}
color_listitem_selected_back = #2e2e2e
color_listitem_selected_title = ${color_accent}
color_listitem_selected_desc = ${color_foreground}
color_listitem_selected_tips = ${color_accent}

opacity_back = 100

layout = all
compact_results = no

satellite_show = always
satellite_pos = topleft
satellite_size = large

control_margin = 3
textbox_padding = 2
listitem_padding = 1
listitem_title_font = snormal


[theme/TinyLayout]
# A tiny and minimalistic layout
font_small_size = 10
font_snormal_size = 10
font_normal_size = 10
font_large_size = 10
layout = list_icon, list_dialnum, list_selmark, list_actions
compact_results = yes
satellite_show = never
control_margin = 2
textbox_padding = 1
listitem_padding = 1
listitem_title_font = snormal

[theme/MiniLayout]
# A not so small layout theme that spares monitor's real estate
font_small_size = 10
font_snormal_size = 10
font_normal_size = 12
font_large_size = 18
layout = list_icon, list_dialnum, list_selmark, list_actions
compact_results = yes
satellite_show = select
satellite_pos = topleft
satellite_size = small
control_margin = 3
textbox_padding = 1
listitem_padding = 1
listitem_title_font = snormal

[theme/MediumLayout]
# Slightly larger than MiniLayout
font_small_size = 10
font_snormal_size = 10
font_normal_size = 12
font_large_size = 18
layout = list_icon, list_dialnum, list_selmark, list_actions
satellite_show = always
satellite_pos = topleft
satellite_size = small
control_margin = 4
textbox_padding = 3
listitem_padding = 1
listitem_title_font = snormal

[theme/JumboLayout]
# Default layout
font_small_size = 9
font_snormal_size = 14
font_normal_size = 14
font_large_size = 28
layout = list_selmark, list_icon, list_dialnum, list_actions
compact_results = no
satellite_show = always
satellite_pos = topcenter
satellite_size = jumbo
control_margin = 6
textbox_padding = 4
listitem_padding = 2
listitem_title_font = snormal

[theme/Default]
# This full theme shows the exhaustive list of supported settings and their
# respective default hard-coded values.
# For now its layout settings are equal to the ones of [theme/JumboLayout]

# The name of the main font
# * The name of the font face to use for the LaunchBox
# * Optionally, a comma-separated list of font names can be specified, in which
#   case Keypirinha will use the first one in the list that is available on the
#   machine with the desired properties (size and style).
# * If this value is empty or if the specified font(s) cannot be loaded,
#   Keypirinha will use Tahoma if available, or will fall back to system's
#   current default GUI font.
#font_face = Tahoma, Arial, Segoe UI

# Font size and style
# * Keypirinha theme uses 3 different sizes of the main font
# * The size value is specified in points
# * The style value may be empty or a comma-separated list of the following
#   accepted flags: bold, italic, cleartype (default if empty)
# * "font_large" is used for the title and the text control
# * "font_snormal" (stands for "small-normal") is used for the title part of the
#   list item by default, but this depends on the listitem_title_font settings
#   below
# * "font_small" is used for the status bar and the description part of the list
#   items (see also the listitem_title_font setting below)
# * "font_normal" is used for the title and the text control only when the title
#   is lengthy
#font_small_size = 9
#font_small_style = cleartype
#font_snormal_size = 14
#font_snormal_style = bold, cleartype
#font_normal_size = 14
#font_normal_style = bold, cleartype
#font_large_size = 28
#font_large_style = bold, cleartype

# The fixed-width font, used in the Console window
# Unlike the 'font' setting, 'mono_font' accepts only one font
#mono_font_face = Consolas
#mono_font_size = 10
#mono_font_style = cleartype

# Colors
# * Accepted formats:
#   * The following CSS formats: #RGB, #RRGGBB, rgb(R,G,B), rgba(R,G,B,A)
#     Notes:
#     * Negative values are not accepted
#     * The rgba() form is accepted but the alpha component is forced to 100%
#     * More info at https://www.w3.org/TR/css3-color/#colorunits
#   * Both "Basic" and "Extended" color keywords are supported
#     https://www.w3.org/TR/css3-color/#svg-color
# * Examples for the red color:
#     color_accent = #ff0000
#     color_accent = rgb(255, 0, 0)
#     color_accent = rgb(100%,0,0)
#     color_accent = rgb(1.0, 0, 0)
#     color_accent = red
# * Tips:
#   * the config value interpolation supported by Keypirinha may come handy
#     here as shown as an example in some of the values below.
#     Example:
#       color_title = ${color_foreground}
#   * an online tool may be helpful to vizualize the color codes
#     https://www.w3schools.com/colors/colors_picker.asp
#
#color_background = #484848
#color_foreground = #f2f2f2
#color_faded = #a2a2a2
#color_accent = #a6e5ff
#color_warn = #eb6420
#
#color_title = ${color_foreground}
#color_status = ${color_faded}
#
#color_textbox_back = #303030
#
#color_listitem_back = #383838
#color_listitem_title = ${color_foreground}
#color_listitem_desc = ${color_faded}
#color_listitem_tips = ${color_faded}
#
#color_listitem_selected_back = #2f2f2f
#color_listitem_selected_title = ${color_accent}
#color_listitem_selected_desc = ${color_foreground}
#color_listitem_selected_tips = ${color_accent}

# The opacity of the LaunchBox (in percent)
# * Value must be an integer in range [20, 100], with 20 being very transparent
#   (barely usable) and 100 being fully opaque
# * Incorrect values will be forced to default
# * Default: 97
#opacity_back = 97

# Define what GUI elements are to be displayed in the LaunchBox
# * Accepted elements:
#   * all: all the elements defined below (except "minimal")
#          this value will take precedence if it is mixed with other elements
#   * minimal: contrary of "all", allows to explicitly state that no extra
#              element should be displayed (will be silently ignored if used
#              with other elements)
#   * list_scrollbar: the vertical scroll bar of the result list
#                     (requires a restart)
#   * list_icon: the icons in the results list
#   * list_dialnum: display the "dial number" at the right side of the result
#                   item. Recommended if you plan to launch your item with the
#                   Ctrl+Numpad1... or Ctrl+1... shortcuts.
#   * list_selmark: the selection mark shown at the left side of an item in
#                   the results list
#   * list_hits: the number of hits for items that were already executed,
#                prefixed by '+' (formerly the show_history_hits setting)
#   * list_actions: in the list, the number of available actions (if any) is
#                   displayed when an item is selected
#                   (sometimes prefixed with '>')
#   * status: the status bar at the bottom
# * List must be comma-separated
#layout = list_selmark, list_icon, list_dialnum, list_actions

# Each search result in the list displayed by the LaunchBox spans over two lines
# (big icon). This option allows to visually compact them so only one line is
# required per result (small icon).
# * Type: Boolean
#compact_results = no

# When to show the contextual icon?
# * Accepted values:
#   * always: the satellite icon is always displayed
#   * never: do not display the satellite icon
#   * select: the satellite icon is displayed only when an item has been
#             selected during the search
#satellite_show = always

# Position of the satellite icon
# * Accepted values:
#   * topleft: the icon will be anchored to the top-left corner of the LaunchBox
#   * topcenter: the icon will be anchored to the top of the LaunchBox and
#                centered
#satellite_pos = topleft

# Size of the satellite icon
# * Accepted values:
#   * small: icon size is 32x32 pixels
#            if position is 'topleft', icon is small enough to be embedded in
#            the LaunchBox
#   * large: icon size is 64x64 pixels
#   * jumbo: icon size is 128x128 pixels, may look ugly for some items
#   * superjumbo: icon size is 256x256 pixels, may look ugly for some items
# * The sizes in pixels given above are relative to a resolution of 96dpi (100%
#   scaling). Keypirinha is DPI-aware and will take care of scaling its GUI
#   according to the DPI resolution of each monitor
#satellite_size = jumbo

# The distance between each element of the GUI (in pixels)
# * Accepted range for each side is [2, 50]
# * Format can be: "<size>" or "<sizeX>, <sizeY>"
#   * Where <size> is the size to assign to each side
#   * <sizeX> is the size to assign to the left and to the right side equally
#   * <sizeY> is the size to assign to the bottom and to top side
#control_margin = 6, 6

# The distance in pixels between the border of a text box (edit control) and its
# text (i.e. padding)
# * Accepted range for each side is [1, 50]
# * Format can be: "<size>" or "<sizeX>, <sizeY>"
#   * Where <size> is the size to assign to each side
#   * <sizeX> is the size to assign to the left and to the right side equally
#   * <sizeY> is the size to assign to the bottom and to top side
#textbox_padding = 4, 4

# The padding distance, in pixels, of the icons and texts displayed in the
# results list
# * Accepted range for each side is [1, 50]
# * Format can be: "<size>" or "<sizeX>, <sizeY>"
#   * Where <size> is the size to assign to each side
#   * <sizeX> is the size to assign to the left and to the right side equally
#   * <sizeY> is the size to assign to the bottom and to top side
#listitem_padding = 2, 2

# The font to use for the title of an item in the results list
# * Applied only when "compact_results" option is disabled
# * Accepted values: small, snormal, normal, large (respectively for the
#   "font_*" values defined above)
#listitem_title_font = snormal
